<html>
  <head>
    <script type="module" src="//localhost:3001/@vite/client"></script>
    <!-- <script type="module" src="//localhost:3001/@vite/client"></script>
         <script type="module" src="//localhost:3001/src/index.ts"></script> -->

    <!-- <script type="text/javascript" src="dist/main.js"></script>
         <script type="text/javascript" src="dist/example.js"></script> -->


    <!-- <link rel="stylesheet" href="dist/main.css"> -->
    <link rel="stylesheet" href="//localhost:3001/src/css/main.scss">

    <title>Test page</title>
  </head>
  <body class="d-flex" style="flex-direction: row">
    <aside class="" style="min-width: 300px; border: 1px solid red">
      <ul data-content="main">
        <li><a>Parts framework</a></li>
        <li class="l2"><a href="/parts/method">data-[method]</a></li>
        <li class="l2"><a href="/parts/replace">data-replace</a></li>
        <li class="l2"><a href="/parts/forms">Forms</a></li>
        <li class="l3"><a href="/parts/forms/urlencoded">x-www-form-urlencoded</a></li>
        <li class="l3"><a href="/parts/forms/multipart">multipart</a></li>

        <li>UI elements</li>
        <li class="l2"><a data-get href="/ui/buttons">Buttons</a></li>
        <li class="l2"><a href="/ui/captcha">Captcha</a></li>
        <li class="l2"><a href="/ui/code">Code</a></li>
        <li class="l2"><a href="/ui/inputs">Inputs</a></li>
        <li class="l2" data-get="/">Tabs</li>


        <li>CSS</li>
        <li class="l2"><a href="/css/flex">Flex</a></li>
        <li class="l2"><a href="/css/padding">Padding</a></li>
      </ul>
    </aside>
    <main class="pa-2" style="width: 100%; border: 1px solid red">
      {% block main %}{% endblock %}
    </main>
  </body>
  <script src="/reload/reload.js"></script>
</html>
